#pragma once
#include "apltreeitem.h"

class CaplVirtualFolderItem : public CaplTreeItem
{
public:
	CaplVirtualFolderItem(CTreeCtrl *tree=0, CPSMDoc *doc=0, CaplInstance *val=0, CaplInstance *folder=0);
	~CaplVirtualFolderItem(void);

	CaplInstance *m_group_item; // Объект по которому идет разделение (вид документа)
	CString m_name; // Имя виртувльной папки
	aplExtent m_items; // Содержимое виртуальнйо папки
	aplExtent *m_par_item_docs_ext;

	bool GetName(CString &name);
	bool RefreshItem();
	void ShowCmd(long cmd);
	//void ShowToolBarButton(CToolBarCtrl *tb);
	BOOL ShowToolBarButton(CCmdUI* pCmdUI);
	bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
	bool CreateTreeItem(HTREEITEM parent_item);
	bool Expand(UINT action);
	void GetAccessedInstances(aplExtent &ext);
	void GetMainInstances(aplExtent &ext);

	bool PasteItem(CaplTreeItem *item, CPoint *point);

	bool ShowInListCtrl(CListCtrl *list);
	void ShowProperties();

	bool ShowContent();
};
